Library Version 18.1.40

DbEnv::get_tx_max()
Prev | Chapter 13. The DbTxn Handle | Next

## DbEnv::get_tx_max()

    #include <db_cxx.h>

    int
    DbEnv::get_tx_max(u_int32_t *tx_maxp);

The `DbEnv::get_tx_max()` method returns the maximum number of active transactions currently configured for the environment. You can manage this value using the DbEnv::set_tx_max() method.

The `DbEnv::get_tx_max()` method may be called at any time during the life of the application.

The `DbEnv::get_tx_max()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### tx_maxp

The `DbEnv::get_tx_max()` method returns the number of active transactions in tx_maxp.

### Class

DbEnv, DbTxn

### See Also

Transaction Subsystem and Related Methods, DbEnv::set_tx_max()

Prev | Up | Next
DbEnv::cdsgroup_begin() | Home | DbEnv::get_tx_timestamp()